<?php
use MASCOTCOREERECO\Lib;
use MASCOTCOREERECO\CPT\Projects\CPT_Projects;



if(!function_exists('mascot_core_ereco_elementor_cpt_sc_projects_render_output')) {
	/**
	 * Output render
	 */
	function mascot_core_ereco_elementor_cpt_sc_projects_render_output( $class_instance, $settings ) {
		$new_cpt_class = $class_instance;
		$paged = isset($settings['paged']) ? $settings['paged'] : '';

		if( $settings['display_type'] != 'masonry' ) {
			$settings['use_masonry_tiles_featured_image_size'] = 'false';
		}
		
		//if single post selected
		if( $settings['show_only_selected_single_post'] == 'yes' && !empty( $settings['selected_single_post'] )) {
			//query args
			$args = array(
				'p' => $settings['selected_single_post'],
				'post_type' => $new_cpt_class['ptKey'],
			);
		} else {
			//query args
			$args = array(
				'post_type' => $new_cpt_class['ptKey'],
				'orderby' => $settings['order_by'],
				'order' => $settings['order'],
				'posts_per_page' => $settings['total_items'],
				'paged' => $paged,
			);
			//if category selected
			if( ! empty( $settings['selected_category'] ) ) {
				$args['tax_query'] = array(
					array(
						'taxonomy' => $new_cpt_class['ptTaxKey'],
						'field' => 'slug',
						'terms' => explode(',', $settings['selected_category']),
					)
				);
			}
		}

		$the_query = new \WP_Query( $args );
		$settings['the_query'] = $the_query;
		
		if ( !$the_query->have_posts() && isset( $settings['from_loadmore_ajax_handler'] ) && $settings['from_loadmore_ajax_handler'] === true ) {
			return;
		}
		
		//classes
		$classes = array();
		$classes[] = $settings['design_style'];
		if( $settings['add_border_radius'] ) {
			$classes[] = 'border-radius-around-box';
		}
		$classes[] = $settings['custom_css_class'];
		$settings['classes'] = $classes;
		
		//button classes
		$settings['btn_classes'] = ereco_mascot_prepare_button_classes_from_params( $settings );
		$settings['loadmore_btn_classes'] = ereco_mascot_prepare_button_classes_from_params( $settings, 'loadmore_' );
		
		//ptTaxKey
		$settings['ptTaxKey'] = $new_cpt_class['ptTaxKey'];
		
		//Owl Carousel Data
		$settings['owl_carousel_data_info'] = ereco_mascot_prepare_owlcarousel_data_from_params( $settings );

		$settings['box_inline_css'] = ereco_mascot_get_inline_css( mascot_core_ereco_elementor_sc_projects_css( $settings ) );

		$html = mascot_core_ereco_elementor_get_cpt_shortcode_template_part( 'projects', $settings['display_type'], 'projects/tpl', $settings, true );
		
		echo $html;
	}
}

if(!function_exists('mascot_core_ereco_elementor_sc_projects_css')) {
	/**
	 * Get Box Styles
	 */
	function mascot_core_ereco_elementor_sc_projects_css( $settings ) {
		$css_array = array();

		if( $settings['custom_border_radius'] != '' ) {
			$css_array[] = 'border-radius: '.$settings['custom_border_radius'];
		}

		return implode( '; ', $css_array );
	}
}